<?php
namespace wcf\system\cronjob;

use wcf\data\cronjob\Cronjob;
use wcf\system\cache\builder\MyElistingCacheBuilder;

class MyElistingCacheCleanupCronjob extends AbstractCronjob {

    /**
     * @param Cronjob $cronjob ???
     * @see	\wcf\system\cronjob\ICronjob::execute()
     */
    public function execute(Cronjob $cronjob)
    {
        parent::execute($cronjob);

        $cache = MyElistingCacheBuilder::getInstance();

        $cache->reset();
    }

}
